## NAME

d.save - Creates a list of commands for recreating screen graphics.

## KEYWORDS

display, metadata

## SYNOPSIS

d.save
d.save help
d.save [-cao] [frame=string[,string,...]] [remove=integer[,integer,...]] [move=from,to[,from,to,...]] [--verbose] [--quiet]

### Flags:

-c
  Save current frame
-a
  Save all the frames
-o
  Only map objects without extra header and tailer
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

frame=string[,string,...]
  Name of frame(s) to save
  Options: full_screen
  Default: full_screen
remove=integer[,integer,...]
  List of object numbers to remove which are displayed after "#". -1 for the last object.
move=from,to[,from,to,...]
  List of object numbers to move ("from" to "to"). remove= option will be done first, if any.

## DESCRIPTION

When GRASS display (d.) commands are used to generate graphical images on the graphics monitor, some commands are noted in lists that the current graphics driver (see manual entry for d.mon) maintains. This command, d.save, uses this information to create a shell script that can be used to recreate graphics in another frame at another time. The shell script is sent to standard output (the user's terminal). If you wish to save the shell script created by d.save, its output should be redirected to a file; for example:

  d.save > script.out

The user can run the program non-interactively by specifying flag settings and parameter values on the command line. If the user types d.save without specifying these program arguments, the user will be prompted for inputs through the standard user interface described in the manual entry for g.parser.

## NOTES

Object numbers for remove= and move= options are displayed after #.

Display commands used interactively, and those that take their graphic instructions from standard input, will not be saved by d.save.

## SEE ALSO

d.frame
d.mon
g.region
g.parser

## AUTHOR

David Satnik, Central Washington University

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - display index - Full index

© 2003-2014 GRASS Development Team